# Anneal

Anneal is a testing framework for [Iron](https://crates.io/crates/iron). It was desgined 
to allow testing components in isolation.

## Example
```
use anneal::RequestBuilder;

fn main() {
    RequestBuilder::new(Method::Post, "https://127.0.0.1:8080/")
        .set_body("this is a body".into())
        .request(|mut req| {
			// test code here

            let mut s = String::new();
            req.body.read_to_string(&mut s).unwrap();
            assert_eq!(s, "this is a body");
        })
}
```

## Features
`cookies`: adds a method to add a `CookieJar` from 
[cookie](https://crates.io/crates/cookie) to the request

`json`: adds a method to set the body to a json object via 
[serde_json](https://crates.io/crates/serde_json)

`jsonapi`: adds a pair of methods for adding 
[json-api](https://git.open-communication.net/qaul/json-api) documents to a request body
